Skip to main content
GET
/
events
/
properties
Aggregrated Event Property Values
curl --request GET \
  --url https://{regionAndDomain}.com/api/query/events/properties \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": {
    "series": [
      "2010-05-29",
      "2010-05-30",
      "2010-05-31"
    ],
    "values": {
      "splash features": {
        "2010-05-29": 6,
        "2010-05-30": 4,
        "2010-05-31": 5
      }
    }
  },
  "legend_size": 2
}

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
integer
required

Required if using service account to authenticate request.

workspace_id
integer

The id of the workspace if applicable.

event
string
required

The event that you wish to get data for. Note: this is a single event name, not an array.

name
string
required

The name of the property you would like to get data for.

values
string[]

The specific property values that you would like to get data for, encoded as a JSON array. Example: If you have a property "gender" you may have values "male", "female" and "unknown". If you just want data for female and unknown users, you can include a values property that looks like "["female", "unknown"]".

type
enum<string>
required

The analysis type you would like to get data for - such as general, unique, or average events. Valid values: "general", "unique", or "average".

Available options:
general,
unique,
average
unit
enum<string>
required

This can be "minute", "hour", "day", "week", or "month". It determines the level of granularity of the data you get back. Note that you cannot get hourly uniques.

Available options:
minute,
hour,
day,
week,
month
interval
integer

The number of "units" to return data for - minutes, hours, days, weeks, or months. 1 will return data for the current unit (minute, hour, day, week or month). 2 will return the current and previous units, and so on. Specify either interval or from_date and to_date.

from_date
string
required

The date in yyyy-mm-dd format to begin querying from. This date is inclusive.

to_date
string
required

The date in yyyy-mm-dd format to query to. This date is inclusive.

format
enum<string>

The data return format, such as JSON or CSV. Options: "json" (default), "csv".

Available options:
json,
csv
limit
integer

The maximum number of values to return. Defaults to 255.

Response

200 - application/json

Success.

data
object
legend_size
integer